Subject: Re: consistency problem on ZFS

From: Yann Hodique <[email-masked]>
Date: Mon, 29 Apr 2013 19:16:54 +0100

>>>>> "Junio" == Junio C Hamano <[email-masked]> writes:

> Yann Hodique <[email-masked]> writes:
>>>>>>> "Junio" == Junio C Hamano <[email-masked]> writes:
>> 
>>> Yann Hodique <[email-masked]> writes:
>>>> $ git checkout next; git diff-files; git checkout next; git diff-files
>>>> Already on 'next'
>>>> :100644 100644 bd774cccaa14e061c3c26996567ee28f4f77ec80 0000000000000000000000000000000000000000 M	magit.el
>>>> Already on 'next'
>>>> $
>> 
>>> If you run "git update-index --refresh" between the first "checkout"
>>> and "diff-files", do you still see the issue?
>> 
>> Yes, although *way* less often. I just ran a quick experiment and have
>> seen the issue 2 times in 2500 tries.

> Hmph, that indicates somebody other than you or your Git is mucking
> with the inodes of your working tree files and perphas affecting
> ctime on them (we do not pay attention to atime because dirtying
> cached information due to somebody else reading from the file makes
> absolutely no sense, but we do notice ctime changes).  Perhaps
> background virus scanner or something silly like that?

Not that I know of. I certainly don't have any virus scanner, and I even
deactivated spotlight.
In any case, I can't think of anything that would affect that volume
while leaving my HFS+ ones alone, except for zfs background
processes themselves.

Yann.

-- 
What senses do we lack that we cannot see or hear another world all around us?

  -- The Orange Catholic Bible